Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap
Class AbstractBootstrap

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.bootstrap.AbstractBootstrap

All Implemented Interfaces:
  KernelEventEmitter, KernelObject, Runnable

Direct Known Subclasses:
  BasicBootstrap

public abstract class AbstractBootstrap
extends AbstractKernelObject
implements Runnable

Abstract Bootstrap of the kernel.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`protected KernelConfig` | `config` The kernel configuration
`protected Kernel` | `kernel` The kernel created by the bootstrap implementation during the bootstrap process.

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractBootstrap()` Create a new abstract bootstrap

Method Summary
`protected void` | `bootstrap()` Bootstrap the kernel
`KernelConfig` | `getConfig()` Get the kernel configuration
`Kernel` | `getKernel()` Returns the Kernel object created during the bootstrap process.
`void` | `run()`
`void` | `setConfig(KernelConfig config)` Set the kernel configuration

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### config

    protected KernelConfig config

  The kernel configuration

### kernel

    protected Kernel kernel

  The kernel created by the bootstrap implementation during the bootstrap process.

Constructor Detail

### AbstractBootstrap

    public AbstractBootstrap()
                      throws Exception

  Create a new abstract bootstrap

Throws:
  `Exception` - for any error

Method Detail

### getConfig

    public KernelConfig getConfig()

  Get the kernel configuration

  Returns:
    the kernel configuration

### setConfig

    public void setConfig(KernelConfig config)

  Set the kernel configuration

  Parameters:
    `config` - the kernel configuration

### getKernel

    public Kernel getKernel()

  Returns the Kernel object created during the bootstrap process.

  Specified by:
    `getKernel` in interface `KernelObject`
  Overrides:
    `getKernel` in class `AbstractKernelObject`
  Returns:
    the kernel instance created during bootstrap.

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### bootstrap

    protected void bootstrap()
                      throws Throwable

  Bootstrap the kernel

  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.